Bug 1414209 (CVE-2017-5526) - CVE-2017-5526 Qemu: audio: memory leakage in es1370 device
Summary: CVE-2017-5526 Qemu: audio: memory leakage in es1370 device
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5526
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1414210 1414211
Blocks: 1382469
TreeView+ depends on / blocked
 
Reported: 2017-01-18 03:19 UTC by Prasad J Pandit
Modified: 2019-09-29 14:04 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:39 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-01-18 03:19:15 UTC
Quick Emulator(Qemu) built with the ES1370 audio device emulation support is
vulnerable to a memory leakage issue. It could occur while doing a device
unplug operation; Doing so repeatedly would result in leaking host memory,
affecting other services on the host.

A privileged user inside guest could use this flaw to cause a DoS and/or
potentially crash the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-01/msg01742.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/18/8

Comment 1 Prasad J Pandit 2017-01-18 03:19:20 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.) Jiangxin (PSIRT Huawei Inc.)

Comment 2 Prasad J Pandit 2017-01-18 03:20:50 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1414211]

Comment 3 Prasad J Pandit 2017-01-18 03:21:13 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1414210]


Note You need to log in before you can comment on or make changes to this bug.